# HouseOverrideManager Class Reference

Inheritance diagram for HouseOverrideManager:

## Public Member Functions
| HouseOverrideManager (uint16 offset, uint16 maximum, uint16 invalid)
void | SetEntitySpec (const HouseSpec *hs)
| Install the specs into the HouseSpecs array It will find itself the proper slot onwhich it will go.

## Detailed Description

Definition at line 77 of file newgrf_commons.h.

## Member Function Documentation

void HouseOverrideManager::SetEntitySpec | ( | const HouseSpec * | hs | ) |

Install the specs into the HouseSpecs array It will find itself the proper slot onwhich it will go.

Parameters:

  | hs | HouseSpec read from the grf file, ready for inclusion

Definition at line 158 of file newgrf_commons.cpp.

References OverrideManagerBase::AddEntityID(), HouseSpec::grf_prop, GRFFilePropsBase< Tcnt >::grffile, grfmsg(), OverrideManagerBase::invalid_ID, GRFFilePropsBase< Tcnt >::local_id, OverrideManagerBase::max_offset, MemCpyT(), and GRFFileProps::override.

Referenced by FinaliseHouseArray().

The documentation for this class was generated from the following files:

- src/newgrf_commons.h
- src/newgrf_commons.cpp